<div class="container mt-5 mb-5">
  <div class="d-flex justify-content-center row">
    <div class="col-md-8">
      <div class="p-2">
        <h4>Carrito</h4>
      </div>
      <div *ngFor="let producto of productos"
        class="d-flex flex-row justify-content-between align-items-center p-2 bg-white mt-4 px-3 rounded">
        <div class="mr-1"><img class="rounded" src={{producto.imageUrl}} width="70"></div>
        <div class="d-flex flex-column align-items-center product-details"><span
            class="font-weight-bold">{{producto.name}}</span>
          <!-- <div class="d-flex flex-row product-desc">
                      <div class="size mr-1"><span class="text-grey">Size:</span><span class="font-weight-bold">&nbsp;M</span></div>
                      <div class="color"><span class="text-grey">Color:</span><span class="font-weight-bold">&nbsp;Grey</span></div>
                  </div> -->
        </div>
        <div class="d-flex flex-row align-items-center qty">
          <h4 class="text-grey mt-1 mr-1 ml-1">Cantidad:</h4>
          <h4 class="text-grey font-weight-bold mt-1 mr-1 ml-1">{{producto.quantity}}</h4>
        </div>
        &nbsp;
        <div>
          <h5 class="text-grey">Precio unitario: <span class="font-weight-bold">${{producto.price}}.00</span></h5>
          <h5 class="text-grey">Total por cantidad: <span class="font-weight-bold">${{producto.price * producto.quantity}}.00</span></h5>

        </div>
        <div id="btn-borrar" class="d-flex align-items-center"><i (click)="deleteProductFromCart(producto.id)"
            class="fa fa-trash mb-1 text-danger"></i></div>
      </div>
      <div class="d-flex flex-row align-items-center mt-3 p-2 bg-white rounded"><input type="text"
          class="form-control border-0 gift-card" placeholder="Código promocional"><button
          class="btn btn-outline-secondary btn-sm ml-2" type="button">Aplicar</button></div>
          <div class="d-flex flex-row align-items-center mt-3 p-2 bg-white rounded"><button
            class="btn btn-danger btn-block btn-lg ml-2 pay-button" type="button" (click)="deleteCart()">Eliminar Carrito</button></div>
      <div class="d-flex flex-row align-items-center mt-3 p-2 bg-white rounded"><button
          class="btn btn-primary btn-block btn-lg ml-2 pay-button" type="button" [routerLink]="['/checkout']" (click)="scrollTop()" >Proceder a pagar</button></div>
      <div class="d-flex flex-row align-items-center mt-3 p-2 bg-white rounded"><button
          class="btn btn-primary btn-block btn-lg ml-2 pay-button" type="button" [routerLink]="['/home']" (click)="scrollTop()">Volver a la tienda</button></div>
    </div>
  </div>
</div>